Bug 17531 - openldap-1.2.11-14 spec file produces file dependency
openldap-1.2.11-14 spec file produces file dependency
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-14 23:06 EDT by R P Herrold
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 23:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2000-09-14 23:06:12 EDT
I have rebuilt openldap-1.2.11-14 from the SRPM, on a 6.2 host, with rpm
3.0.5-9.6x.

In going to install, it has left a file dependency:

[root@couch src]# rpm -Uvh \
/usr/src/redhat/RPMS/i386/openldap-devel-1.2.11-14.i386.rpm \
/usr/src/redhat/RPMS/i386/openldap-1.2.11-14.i386.rpm
error: failed dependencies:
        /etc/init.d   is needed by openldap-1.2.11-14
[root@couch src]# rpm -qf   /etc/init.d   

... It is my understanding that this is improper --

Additionally, it would appear to be an artifact of the abandoned
modification of initscripts location.
Comment 1 R P Herrold 2000-09-14 23:12:15 EDT
... installing nodeps, it verifies all right, except for that item:

[root@couch src]# rpm -V openldap-devel openldap
Unsatisfied dependencies for openldap-1.2.11-14: /etc/init.d
[root@couch src]#

... the 'file' in question is not in the install manifest:

[root@couch src]# rpm -qlp \
/usr/src/redhat/RPMS/i386/openldap-devel-1.2.11-14.i386.rpm \
/usr/src/redhat/RPMS/i386/openldap-1.2.11-14.i386.rpm  | \
grep init | grep etc
[root@couch src]#  

-- Russ
Comment 2 Nalin Dahyabhai 2000-09-15 12:35:59 EDT
This will be fixed in the build tree and the next Raw Hide refresh.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.